# XmCommand

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmCommand - Motif-compatible command-entry widget

## SYNOPSIS

#include <Xm/Command.h>

XmCommand

XmCreateCommand

## DESCRIPTION

XmCommand

## X RESOURCES

Name | Class | Type | Default | Access

XmNcommandEnteredCallback | XmCCallback | Callback | NULL | CSG
XmNcommandChangedCallback | XmCCallback | Callback | NULL | CSG
XmNpromptString | XmCPromptString | XmString | NULL | CSG
XmNcommand | XmCTextString | XmString | NULL | CSG
XmNhistoryItems | XmCItems | XmStringTable | NULL | CSG
XmNhistoryItemCount | XmCItemCount | Int | -1 | CSG
XmNhistoryMaxItems | XmCMaxItems | Int | 100 | CSG
XmNhistoryVisibleItemCount | XmCVisibleItemCount | Int | 8 | CSG
XmNdialogType | XmCDialogType | SelectionType | NULL | CSG
XmNdefaultPosition | XmCDefaultPosition | Boolean | NULL | CSG
XmNautoUnmanage | XmCAutoUnmanage | Boolean | NULL | CSG
XmNresizePolicy | XmCResizePolicy | ResizePolicy | NULL | CSG

XmNcommandEnteredCallback

XmNcommandChangedCallback

XmNpromptString

XmNcommand

XmNhistoryItems

XmNhistoryItemCount

XmNhistoryMaxItems

XmNhistoryVisibleItemCount

XmNdialogType

XmNdefaultPosition

XmNautoUnmanage

XmNresizePolicy

## CLASS HIERARCHY

Object(3) Rect(3) UnNamedObj(3) Core(3) Composite(3) Constraint(3) XmManager(3) XmBulletinBoard(3) XmSelectionBox(3) XmCommand(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.